<table>
  <tr>
    <th>Id</th>
    <th>Item name</th>
    <th>Price</th>
    <th>Room</th>
    <th>Write-off year</th>
    <th>Production year</th>
  </tr>
  <tr *ngFor="let item of items" [class.selected]="item === selectedItem">
    <td>{{ item.id }}</td>
    <td>{{ item.name }}</td>
    <td>{{ item.price }}</td>
    <td>{{ item.room }}</td>
    <td>{{ item.writeOffYear }}</td>
    <td>{{ item.yearProduction }}</td>
  </tr>
</table>

<h2>Item info:</h2>
<div>
  <label for="item-id">id: </label>
  <input id="item-id" [(ngModel)]="selectedItem.id" placeholder="id" />
</div>
<div>
  <label for="item-name">name: </label>
  <input id="item-name" [(ngModel)]="selectedItem.name" placeholder="name" />
</div>
<div>
  <label for="item-price">price: </label>
  <input id="item-price" [(ngModel)]="selectedItem.price" placeholder="price" />
</div>
<div>
  <label for="item-production">year of production: </label>
  <input
    id="item-production"
    [(ngModel)]="selectedItem.yearProduction"
    placeholder="production"
  />
</div>
<div>
  <label for="item-room">room: </label>
  <input id="item-room" [(ngModel)]="selectedItem.room" placeholder="room" />
</div>
<div>
  <label for="item-room">write-off year: </label>
  <input
    id="item-room"
    [(ngModel)]="selectedItem.writeOffYear"
    placeholder="room"
  />
</div>

<div>
  <button type="button" (click)="onCreate()">Create</button>
  <button type="button" (click)="onRead()">Read</button>
  <button type="button" (click)="onUpdate()">Update</button>
  <button type="button" (click)="onDelete()">Delete</button>
</div>
